window.addEventListener("load", () => {
  // (PART A) HELPER - MOVE SLIDE
  var slider = (target, direction) => {
    // (OPTIONAL TIMER)
    clearTimeout(target.timer);
    target.timer = setTimeout(
      () => slider(target, true), 2000
    );

    // (A1) NEXT/LAST SLIDE
    if (direction) { target.now++; }
    else { target.now--; }
    if (target.now < 0) { target.now = target.all - 1; }
    if (target.now >= target.all) { target.now = 0; }

    // (A2) UPDATE SLIDE
    target.querySelector(".slidesRow").style.right = (target.now == 0 ? 0 : `${target.now}00%`);
  };

  // (PART B) LOOP THROUGH ALL SLIDES
  document.querySelectorAll(".slidesWrap").forEach((slides, i) => {
    // (B1) ATTACH FLAGS
    slides.now = 0;
    slides.all = slides.querySelectorAll(".slide").length;

    // (B2) LAST/NEXT BUTTONS
    slides.querySelector(".last").onclick = () => slider(slides, false);
    slides.querySelector(".next").onclick = () => slider(slides, true);

    // (OPTIONAL TIMER)
    slides.timer = setTimeout(() => slider(slides, true), 2000);
  });
});